play.libs

## Enum OAuth2.Error.Type

- java.lang.Object
- - java.lang.Enum<OAuth2.Error.Type>
  - - play.libs.OAuth2.Error.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<OAuth2.Error.Type>

Enclosing class:
  OAuth2.Error

    public static enum OAuth2.Error.Type
    extends java.lang.Enum<OAuth2.Error.Type>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COMMUNICATION`
`OAUTH`
`UNKNOWN`

### Method Summary

All Methods Static Methods Concrete Methods
`static OAuth2.Error.Type` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OAuth2.Error.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### COMMUNICATION

    public static final OAuth2.Error.Type COMMUNICATION

#### OAUTH

    public static final OAuth2.Error.Type OAUTH

#### UNKNOWN

    public static final OAuth2.Error.Type UNKNOWN

### Method Detail

#### values

    public static OAuth2.Error.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OAuth2.Error.Type c : OAuth2.Error.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OAuth2.Error.Type valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null